# Class IUDeserializer

java.lang.Object
org.eclipse.equinox.p2.metadata.io.IUDeserializer

public class IUDeserializer extends Object
This class allows to deserialize `IInstallableUnit`s that have been serialized with `IUSerializer`. The deserializer is able to read data that have been serialized with previous versions of the serializer.

Since:
  1.2

## Constructor Summary

Constructors
Constructor
Description
`IUDeserializer()`
Construct a new instance of the deserializer.

## Method Summary

Modifier and Type
Method
Description
`Collection<IInstallableUnit>`
`read(InputStream input)`
Deserialize a set of `IInstallableUnit` from the input stream.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IUDeserializer

public IUDeserializer()
Construct a new instance of the deserializer.

## Method Details

### read

public Collection<IInstallableUnit> read(InputStream input) throws IOException
Deserialize a set of `IInstallableUnit` from the input stream.

Parameters:
  `input` - the input stream to deserialize `IInstallableUnit`s from.
Returns:
  the collection of `IInstallableUnit`s read from the input stream.
Throws:
  `IOException`